/**
 * Gulp configuration for generate vector icons from the svg
 */

const vendor_name = 'simplest'; // Type path to styles folder there

let gulp = require('gulp'),
    iconfont = require('gulp-iconfont'),
    iconfontCSS = require('gulp-iconfont-css'),
    env = {
        absolute_media_path: () => vendor_name + '/styles/fonts/'
    },
    icons = {
        name: vendor_name.toLowerCase() + '-icon',
        css: {
            font_path: 'styles/fonts/',
            target_path: '_icons.less', // Only relative path
            template: '_icons_template.txt'
        },
        src: vendor_name + '/styles/icons/'
    };

// Icons font generation from the SVG's
gulp.task('iconfont', function (done) {
    gulp.src([icons.src + '*.svg'])
        .pipe(iconfontCSS({
            fontName: icons.name,
            path: icons.css.template,
            targetPath: icons.css.target_path,
            fontPath: icons.css.font_path
        }))
        .pipe(iconfont({
            fontName: icons.name,
            formats: ['ttf', 'eot', 'woff', 'woff2'], // Remove woff2 if you get an ext error on compile
            prependUnicode: true,
            normalize: true,
            fontHeight: 1000
        }))
        .pipe(gulp.dest(env.absolute_media_path()));

    done();
});
